Class | Spec::Mocks::BaseExpectation
In: | lib/spec/mocks/message_expectation.rb
Parent: | Object

### Methods

and_raise and_return and_throw and_yield build_child called_max_times? clone_args_to_yield error_generator_opts= expected_args failed_fast? invoke invoke_consecutive_return_block invoke_method_block invoke_return_block invoke_with_yield matches new

### Attributes

error_generator | [RW] |
expected_from | [W] |
expected_received_count | [W] |
method_block | [W] |
sym | [R] |

### Public Class methods

new(error_generator, expectation_ordering, expected_from, sym, method_block, expected_received_count=1, opts={})

### Public Instance methods

and_raise()
and_raise(Exception) #any exception class
and_raise(exception) #any exception object

## Warning

When you pass an exception class, the MessageExpectation will raise an instance of it, creating it with `new`. If the exception class initializer requires any parameters, you must pass in an instance and not the class.

and_return(*values, &return_block)
and_throw(symbol)
and_yield(*args)
build_child(expected_from, method_block, expected_received_count, opts={})
called_max_times?()
expected_args()
invoke(args, block)
matches(sym, args)

### Protected Instance methods

clone_args_to_yield(args)
error_generator_opts=(opts={})
failed_fast?()
invoke_consecutive_return_block(args, block)
invoke_method_block(args)
invoke_return_block(args, block)
invoke_with_yield(block)

[Validate]